<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 14px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin: 0 0 5px 0;
		}

		h2 {
			font-size: 13px;
			font-weight: bold;
			margin: 5px 0 5px 0;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>Loader Library</h1>

		<p>This is the class that loads the various elements within the framework.  These elements can be, models,
		views, utilities, and even your own files.</p>

		<p><i>Note</i>: this library is loaded automatically by CarbonPHP.</p>
	</div>

	<div class="content">
		<h1>$this->load->library('class_name')</h1>

		<p>This method loads the core CarbonPHP libraries.  <b>class_name</b> is the name of the class you wish to
		load.  For example if you wish to load the pagination library you would do the following.</p>

		<div class="example">
			$this->load->library('<b>pagination</b>');
		</div>

		<p>Once the library has been loaded it will be accessible via the object in the <b>$this</b> object.  Each
		library is outlined on its own page.</p>
	</div>

	<div class="content">
		<h1>$this->load->view('view_name', $data, true/false)</h1>

		<p>This method is used to load a view file.  The first parameter is required and is the name of the view file
		to load without the file extension.</p>

		<p>The second parameter is an optional parameter that can take an array or an object, which it runs through
		the PHP function <b>extract</b> to convert to variables that can be accessed in the view file.</p>

		<p>The third parameter is another optional parameter that changes how the method returns.  If the parameter
		is set to <b>true</b> the method will return the data instead of sending it to the browser.</p>

		<div class="example">
			$data = $this->load->view('<b>myview</b>', '', <b>true</b>);
		</div>
	</div>

	<div class="content">
		<h1>$this->load->database('options', true/false)</h1>

		<p>This method loads the database class which connects to a database.  This method is outlined more in the
		database pages.</p>
	</div>

	<div class="content">
		<h1>$this->load->scaffolding('table_name')</h1>

		<p>This method enables scaffolding.  This method is outlined more in the scaffolding page.</p>
	</div>

	<div class="content">
		<h1>$this->load->var($array)</h1>

		<p>This method takes an array as input and generates variables.  This method produces the same result as
		using the second parameter of <b>$this->load->view()</b> explained above.  The main reason you may wish to
		use this is if you wish to set some global variables in the constructor of your controller and have them
		become available in any view file.</p>
	</div>

	<div class="content">
		<h1>$this->load->utility('file_name')</h1>

		<p>This method loads any utility files, where <b>file_name</b> is the name of the utility without the
		<b>_utility.php</b> on the end.</p>
	</div>

	<div class="content">
		<h1>$this->load->file('filepath/filename', true/false)</h1>

		<p>This method will load any file.  If the second parameter is set to <b>true</b> the data from the file will
		be returned as a string, instead of being sent to the browser.</p>
	</div>

	<div class="content">
		<h1>$this->load->language('file_name')</h1>

		<p>This method is an alias of the <b>$this->lang->load()</b> method.</p>
	</div>

	<div class="content">
		<h1>$this->load->config('file_name')</h1>

		<p>This method is an alias of the <b>$this->config->load()</b> method.</p>
	</div>
</body>

</html>
